=== debian/changelog ===
pgrouting (3.0.2-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 14 Jul 2020 15:29:43 +0200

pgrouting (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jul 2020 15:29:43 +0200

pgrouting (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Jul 2020 20:20:46 +0200

pgrouting (3.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Drop obsolete repacking, .gitattributes removed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 May 2020 05:54:25 +0200
