=== debian/control ===
Source: pgrouting
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Michael Fladischer <FladischerMichael@fladi.at>
Section: misc
Priority: optional
Build-Depends: cmake (>= 3.2),
               debhelper (>= 10~),
               libboost-graph-dev,
               libjs-mathjax,
               postgis,
               postgresql-server-dev-all,
               python3-sphinx (>= 1.0.7+dfsg),
               rdfind,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgrouting
Vcs-Git: https://salsa.debian.org/debian-gis-team/pgrouting.git
Homepage: https://www.pgrouting.org

Package: postgresql-9.5-pgrouting
Architecture: any
Depends: postgresql-9.5-pgrouting-scripts (>= ${source:Version}),
         postgresql-9.5,
         postgresql-9.5-postgis,
         postgresql-9.5-postgis-scripts,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: postgresql-9.5-pgrouting-doc
Provides: postgresql-pgrouting
Description: Routing functionality support for PostgreSQL/PostGIS
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package supports PostgreSQL 9.5.

Package: postgresql-9.6-pgrouting
Architecture: any
Depends: postgresql-9.6-pgrouting-scripts (>= ${source:Version}),
         postgresql-9.6,
         postgresql-9.6-postgis,
         postgresql-9.6-postgis-scripts,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: postgresql-9.6-pgrouting-doc
Provides: postgresql-pgrouting
Description: Routing functionality support for PostgreSQL/PostGIS
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package supports PostgreSQL 9.6.

Package: postgresql-10-pgrouting
Architecture: any
Depends: postgresql-10-pgrouting-scripts (>= ${source:Version}),
         postgresql-10,
         postgresql-10-postgis,
         postgresql-10-postgis-scripts,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: postgresql-10-pgrouting-doc
Provides: postgresql-pgrouting
Description: Routing functionality support for PostgreSQL/PostGIS
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package supports PostgreSQL 10.

Package: postgresql-11-pgrouting
Architecture: any
Depends: postgresql-11-pgrouting-scripts (>= ${source:Version}),
         postgresql-11,
         postgresql-11-postgis,
         postgresql-11-postgis-scripts,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: postgresql-11-pgrouting-doc
Provides: postgresql-pgrouting
Description: Routing functionality support for PostgreSQL/PostGIS
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package supports PostgreSQL 11.

Package: postgresql-12-pgrouting
Architecture: any
Depends: postgresql-12-pgrouting-scripts (>= ${source:Version}),
         postgresql-12,
         postgresql-12-postgis,
         postgresql-12-postgis-scripts,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: postgresql-12-pgrouting-doc
Provides: postgresql-pgrouting
Description: Routing functionality support for PostgreSQL/PostGIS
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package supports PostgreSQL 12.

Package: postgresql-9.5-pgrouting-scripts
Architecture: all
Depends: ${misc:Depends}
Provides: postgresql-pgrouting-scripts
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the SQL scripts for installing pgRouting, and for
 upgrading from earlier pgRouting versions.
 .
 This package supports PostgreSQL 9.5.

Package: postgresql-9.6-pgrouting-scripts
Architecture: all
Depends: ${misc:Depends}
Provides: postgresql-pgrouting-scripts
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the SQL scripts for installing pgRouting, and for
 upgrading from earlier pgRouting versions.
 .
 This package supports PostgreSQL 9.6.

Package: postgresql-10-pgrouting-scripts
Architecture: all
Depends: ${misc:Depends}
Provides: postgresql-pgrouting-scripts
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the SQL scripts for installing pgRouting, and for
 upgrading from earlier pgRouting versions.
 .
 This package supports PostgreSQL 10.

Package: postgresql-11-pgrouting-scripts
Architecture: all
Depends: ${misc:Depends}
Provides: postgresql-pgrouting-scripts
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the SQL scripts for installing pgRouting, and for
 upgrading from earlier pgRouting versions.
 .
 This package supports PostgreSQL 11.

Package: postgresql-12-pgrouting-scripts
Architecture: all
Depends: ${misc:Depends}
Provides: postgresql-pgrouting-scripts
Description: Routing functionality support for PostgreSQL/PostGIS - SQL scripts
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the SQL scripts for installing pgRouting, and for
 upgrading from earlier pgRouting versions.
 .
 This package supports PostgreSQL 12.

Package: postgresql-9.5-pgrouting-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the documentation.

Package: postgresql-9.6-pgrouting-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the documentation.

Package: postgresql-10-pgrouting-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the documentation.

Package: postgresql-11-pgrouting-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the documentation.

Package: postgresql-12-pgrouting-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Routing functionality support for PostgreSQL/PostGIS (Documentation)
 pgRouting extends the PostGIS/PostgreSQL geospatial database to provide
 geospatial routing and other network analysis functionality.
 .
 This package contains the documentation.
