=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -268,6 +268,9 @@
             #-q  # Enable for quiet mode
             #-Q  # Enable for even more quiet mode
             -v   # increase verbosity
+            -W
+            --keep-going
+            #-j auto
             #-E  # don't use a saved environment, always read all file
             #-a  # write all files; default is to only write new and changed files
             -b ${target}
