=== sql/sigs/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 SET(OLD_SIGNATURES
+    3.0.2
     3.0.1
     3.0.0
