=== debian/changelog ===
pgrouting (3.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Bump sphinx version requirement to 1.8.
  * Add graphviz to build dependencies.
  * Mark extension-no-version patch as Forwarded: not-needed.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Aug 2020 06:08:10 +0200
